﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using ProtoBuf;

namespace BlueCrest.Sample.Data
{
    [DataContract]
    [Serializable]
    public class Book
    {
        [DataMember(Order = 1)]
        public string ISBN { get; set; }

        [DataMember(Order = 2)]
        public string Title { get; set; }

        [DataMember(Order = 3)]
        public double Price { get; set; }

        [DataMember(Order = 4)]
        public DateTime PublishedOn { get; set; }
    }
}
